<?php
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;

    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;
?>
<!doctype html>
<html lang="ru">
<head>
  <meta charset="utf-8" />
  <title>Конструктор форм</title>

  <link rel="stylesheet" href="/css/jquery-ui.css" />
  <link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
  <script src="/js/jquery-1.9.1.js"></script>
  <script src="/js/jquery-ui.js"></script>
  <script src="/js/bootstrap.min.js"></script>

  <script src="/js/jquery.form.js"></script>


  <link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
  <link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />

  <link rel="stylesheet" href="/css/admin.css" />
  <link rel="stylesheet" href="/css/navigation__horizontal.css" />

  <script type="text/javascript">

    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";

    var metatypes = <?=json_encode($this->getMetaTypesLabels());?>;

    var userUuid = "<?=$user->isLogged() ? $user->uuid : ""?>";

  </script>

  <script src="/js/auth.js"></script>

  <script src="/js/admin.js"></script>

</head>






<body>
<nav class="navbar navbar-fixed-top">
  <div class="navbar-inner">
    <div class="container">
      <a class="brand">Редактируется</a>

<?php foreach (DocumentType::find($mn, $prefix) as $iPageType): ?>
<?php
      $iPageTypeName = $iPageType->type;
      $iPageLabelVar = "label_$language";
      $iPageLabel = $iPageType->$iPageLabelVar;
      if (!$iPageLabel) {
          $iPageLabel = "[$iPageTypeName]";
      }
?>
      <span class="navbar">
        <a class="page-type <?=$currentPageType && $iPageTypeName == $currentPageType->type ? 'page-type--active' : ''?>"
          href="?page_type=<?=$iPageTypeName?>&amp;lang=<?=$language?>"><?=$iPageLabel?></a>
      </span>
<?php endforeach; ?>

      <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
      </a>
      <span>
        <a class="page-type">
          <span class="userbox__username__login" style="float: right;" title="<?=$user->uuid?>">
            <?=$user->login?>
          </span>
        </a>
        <div class="nav-collapse collapse">
        </div>
      </span>
    </div>
  </div>

</nav>



<?php if ($mode == self::MODE_NONE): ?>
<div class="main-page">
    <h1 class="main-page__heading">Главная страница</h1>
</div>
<?php die; endif; 
if ($mode == self::MODE_CLASS && !$currentPageType): ?>
<div class="not-found">
  <h1>Страница не найдена</h1>
  <p>Документ удален или еще не создан</p>

  <p><a href="?">Главная страница</a> | <a href="javascript:history.go(-1);">Вернуться назад</a></p>

  <div class="not-found__create-button">
  </div>
</div>
<?php die; endif; 
 if (!$currentPageType->isPermitted($user->uuid, "form")): ?>

<div id="forbidden" class="forbidden">
  <h1>Доступ не разрешен</h1>
  <p>Отсутствует разрешение на компоновку форм</p>

  <p><a href="?">Главная страница</a> | <a href="javascript:history.go(-1);">Вернуться назад</a></p>
</div>

<?php die; endif; 
$this->renderPalette();
$this->renderConstructor();
$this->renderEditorForm();

?>

</body>
</html>

